Get food macronutrients and portion

100g당 및 1회 제공량당 주요 영양소를 검색 엔드포인트에서 반환된 (source, id) 쌍으로 조회합니다. 이를 사용하여 다시 검색하지 않고 다이어리에 이미 저장된 식품을 재표시합니다. 이탈리아어만 지원: 다른 Accept-Language에는 406을 반환합니다.

GET
/foods/{source}/{id}/macronutrients
Foods
비용: 10 크레딧

응답

200
application/json
object

FoodMacronutrientsResult

영양소와 단일 음식의 1회 제공량

object

id

자체 카탈로그 내 식별자

integer<int64>

source

어떤 카탈로그에서 음식이 왔는지. 'generic'은 Tuduu 음식 데이터베이스의 음식으로, 브랜드가 없고, 포장 정보가 없으며, 영양 정보는 100g당 기준이고, 보통 일기 항목이 이를 가리킵니다. 'packaged'는 Tuduu 마스터 카탈로그의 제품으로, 브랜드, 포장 형식, 그리고 라벨에 표시된 영양 정보가 있습니다. 두 카탈로그는 서로 독립적인 식별자 공간을 가지므로, 음식은 (source, id) 쌍으로만 주소 지정되며 id만으로는 지정되지 않습니다

string
"generic""packaged"

portion?

object

All of

변형 1

음식의 1인분. 무게나 라벨 설명이 모두 알려지지 않은 경우 null

object

grams?

그램 단위의 1회 제공량 중량입니다. 알 수 없거나, 라벨이 중량 없이 1회 제공량을 설명하는 경우('1 jar')에는 null입니다. 포장 크기에서 추론하지 마십시오.

number<double> | null

label?

정확히 라벨에 인쇄된 분량('30 g', '1 jar'). 라벨이 없는 일반 식품의 경우 null

string | null

isDeclared

Grams가 숫자 필드에서 가져온 경우 true이며, 자유 텍스트 라벨에서 추출된 경우 false입니다. Grams를 계산에 사용하기 전에 이 값을 읽으세요: 여기서 false는 숫자가 라벨을 읽어서 얻은 값이며, 숫자로 선언된 값이 아님을 의미합니다

boolean

macronutrients

100g당 주요 영양소

object

kcal?

킬로칼로리

number<double> | null

fat?

총지방 (g)

number<double> | null

saturatedFat?

포화 지방 (g)

number<double> | null

carbohydrates?

탄수화물 (g)

number<double> | null

sugars?

당류 (g)

number<double> | null

protein?

단백질(g)

number<double> | null

salt?

소금 (g)

number<double> | null

fiber?

식이섬유 (g)

number<double> | null
401
application/json
object

무단 접근

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string
403
application/json
object

금지됨

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string
404
application/json
object

찾을 수 없음

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string
406
application/json
object

받아들일 수 없음

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string
422
application/json
object

처리할 수 없는 엔티티

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string
429
application/json
object

요청이 너무 많습니다 (APIM)

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string
500
application/json
object

서버 내부 오류

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string
502
application/json
object

나쁜 게이트웨이 (APIM)

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string
504
application/json
object

게이트웨이 시간 초과 (APIM)

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string